diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 84ca01a..b44ece7 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -127108,9 +127108,9 @@ PrimitiveElement(F): Exports == Implementation where
     triangularLinearIfCan:(List P,List SY,SY) -> Union(List UP,"failed")
     innerPrimitiveElement: (List P, List SY, SY) -> REC
 
-    multi(p, v)            == multivariate(map(#1, p), v)
+    multi(p, v)            == multivariate(map((f1:F):F +-> f1, p), v)
     randomInts(n, m)       == [symmetricRemainder(random()$Integer, m) for i in 1..n]
-    incl?(a, b)            == every?(member?(#1, b), a)
+    incl?(a, b)            == every?((s1:SY):Boolean +-> member?(s1, b), a)
     primitiveElement(l, v) == primitiveElement(l, v, new()$SY)
 
     primitiveElement(p1, a1, p2, a2) ==
@@ -127138,9 +127138,9 @@ PrimitiveElement(F): Exports == Implementation where
           (degree(p := univariate(u::P, v)) ^= 1) => return "failed"
         (bc := extendedEuclidean(univariate leadingCoefficient p, pw,1))
            case "failed" => error "Should not happen"
-        ll := concat(map(#1,
+        ll := concat(map((z1:F):F +-> z1,
                 (- univariate(coefficient(p,0)) * bc.coef1) rem pw), ll)
-      concat(map(#1, pw), reverse_! ll)
+      concat(map((f1:F):F +-> f1, pw), reverse_! ll)
 
     primitiveElement(l, vars, uu) ==
       u    := uu::P
diff --git a/changelog b/changelog
index f52e73c..3eff9e9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090614 tpd src/axiom-website/patches.html 20090614.01.tpd.patch
+20090614 tpd books/bookvol10.4 PRIMELT +-> conversion
 20090613 tpd src/axiom-website/patches.html 20090613.03.tpd.patch
 20090613 tpd books/bookvol10.4 POLY2UP +-> conversion
 20090613 tpd src/axiom-website/patches.html 20090613.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e32c2d0..753243f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1565,5 +1565,7 @@ bookvol10.4 PGCD +-> conversion<br/>
 bookvol10.4 SOLVEFOR +-> conversion<br/>
 <a href="patches/20090613.03.tpd.patch">20090613.03.tpd.patch</a>
 bookvol10.4 POLY2UP +-> conversion<br/>
+<a href="patches/20090614.01.tpd.patch">20090614.01.tpd.patch</a>
+bookvol10.4 PRIMELT +-> conversion<br/>
  </body>
 </html>
